blanc = Color.new(0,0,0)
Fond = Image.load("ms0:/psp/game/psp util/system/images/6.jpg")
Retour = Image.load("ms0:/psp/game/psp util/system/images/2.png")
Souris = Image.load("ms0:/psp/game/psp util/system/images/MOUSE.PNG")
x = 240
y = 130

tailleumd = UMD.getSize()
tailleumd = tailleumd / 1024/1024

taillems = System.getFreeSpace("ms0:/")
taillems = taillems / 1024/1024

function dump_umd()

  verif_umd = UMD.checkDisk()
  if verif_umd == 1 then
    nom_iso = System.startOSK("ms0:/ISO/jeu.ISO","Supprimer le 'jeu' et entrez le nom de votre ISO")
    if taillems > tailleumd then      UMD.ripISO(nom_iso)
    else
      System.message("Espace insuffisant sur la Memory Stick",0)
    end
  else
    System.message("Aucun UMD dans le lecteur.Inserez en un",0)
  end

end

while true do
  screen:clear()
  pad = Controls.read()
  screen:blit(0,0,Fond)
  screen:blit(10,210,Retour)

  if math.abs(pad:analogX())> 32 then
    x = x + pad:analogX() / 24
  end
  
  if math.abs(pad:analogY())> 32 then
    y = y + pad:analogY() / 24
  end
  
  if x + Souris:width() > 480 then
    x = 480 - Souris:width()
  elseif x < 0 then
    x = 0
  end
  if y + Souris:height() > 272 then
    y = 272 - Souris:height()
  elseif y < 0 then
    y = 0
  end

  if UMD.checkDisk() == 1 then
    UMD.init()
    pic1 = Image.load("disc0:/PSP_GAME/PIC1.PNG")
    screen:blit(0,0,pic1)
    icon0 = Image.load("disc0:/PSP_GAME/ICON0.PNG")
    screen:blit(10,22,icon0)
    UMD.term()
  end

  screen:print(10,150,"X : Dumper l'UMD", blanc)

  if pad:cross() and not oldpad:cross() then
    dump_umd()
  end

  screen:print(6,202,"Taille de l'UMD: "..tailleumd.." MB",blanc)
  screen:print(6,218,"Taille restante sur la MS: "..taillems.." MB",blanc)

  screen:blit(x,y,Souris)

  if pad:square() and x > 10 and x < 45 and y > 210 and y < 245 then
      dofile("ms0:/psp/game/psp util/system/scripts/FR/explorateur.LUA")
      Fond=nil
      Retour=nil
      Souris=nil
  end

  screen.flip()
  screen.waitVblankStart()
  oldpad = pad
end
